Bug 1683814 - GNOME Software shows "Software is up to date" when there are Flatpak updates available
Summary: GNOME Software shows "Software is up to date" when there are Flatpak updates ...
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-27 21:24 UTC by Daniel Rusek
Modified: 2019-03-06 11:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Flatpak update not displayed in GNOME Software (75.81 KB, image/png)
2019-02-27 21:24 UTC, Daniel Rusek
no flags Details

Description Daniel Rusek 2019-02-27 21:24:26 UTC
Created attachment 1539283 [details]
Flatpak update not displayed in GNOME Software

Description of problem:
It seems that Flatpak updates are not showing in GNOME Software on Fedora Rawhide Silverblue. See the attached screenshot. I have tried restarting the gnome-software process and the whole computer as well, but GS still didn't show the org.kde.Platform update. I currently don't have any app that actually uses the KDE Platform runtime installed, so I am not sure if GS actually updates runtimes that are unused.

Version-Release number of selected component (if applicable):
gnome-software-3.31.90-1.fc31.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Use latest Fedora (Silverblue) Rawhide with Flathub repo added and some Flatpak apps/runtimes installed.
2. Wait for some Flatpak app/runtime update (periodically run "flatpak update" from terminal).
3. Run GNOME Software, switch to the "Updates" tab and see if there is any update available.

Actual results:
Some updates are not displayed in the "Updates" tab.

Expected results:
All updates are displayed in the "Updates" tab and available for installation.

Comment 1 Daniel Rusek 2019-03-01 10:58:17 UTC
I just got the same issue with org.kde.Platform update not showing in GNOME Software on Fedora Silverblue 29 with gnome-software-3.30.6-1.fc29.x86_64. This time it was on a machine that had actual applications (org.telegram.desktop) using the runtime installed. Weird thing is that on another machine with standard Fedora 29, the org.kde.Platform update was displayed without any issue in GS.

Comment 2 Kalev Lember 2019-03-01 11:04:27 UTC
Could it be user vs system installation that breaks it?

Comment 3 Daniel Rusek 2019-03-01 11:08:26 UTC
Hmm, I am not sure. The only difference between the Silverblue machine and the regular Fedora one is that the Silverblue machine has Flathub repo added as a system repo (and no user repos) while the regular Fedora machine has Flathub repo added as user repo (and no system repos). :)

Comment 4 Daniel Rusek 2019-03-02 15:56:42 UTC
Hmm, I just got some Flatpak runtime updates and they all were displayed in (and updated with) GS without any issues. So the only problem seems to be with the org.kde.Platform* ones.

Comment 5 Daniel Rusek 2019-03-04 17:53:08 UTC
Hmm, and now I got no updates in GS (on the Silverblue Rawhide machine) although there was 7 Flatpak updates available (including apps such as GNOME Chess). Restarting GS process didn't help and there was nothing in the GS log. Weird.

Comment 6 Daniel Rusek 2019-03-06 11:42:55 UTC
Ignore my previous comment, it is a different issue (probably caused by a broken Rawhide), not related to the org.kde.Platform* one.


Note You need to log in before you can comment on or make changes to this bug.